Bug 1633365 - [abrt] gnome-shell: gnome-shell killed by SIGTRAP
Summary: [abrt] gnome-shell: gnome-shell killed by SIGTRAP
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:46c2cbbe14531dfb6e1ba0d01df...
: 1645860 1650978 1651210 1657023 1658334 1659747 1664500 1664898 1666768 1669254 1669289 1672483 1674144 1678321 1679020 1680383 1684279 1684834 1684914 1685014 1685518 1686211 1689377 1689398 1689754 1689952 1690636 1691031 1691452 1692263 1692328 1692480 1693275 1693330 1694155 1694405 1697123 1702803 1705353 1706240 1708287 1714939 1716174 1716192 1717822 1720089 1723984 1724004 1724351 1725370 1725847 1726588 1727798 1729148 1733318 1738454 1738630 1743453 1744364 1745284 1745327 1752336 1756606 1757332 1757980 1758727 1758757 1758793 1761184 1761192 1761317 1762016 1780075 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-26 19:38 UTC by Paul Nodine
Modified: 2019-12-05 11:22 UTC (History)
96 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
john.mellor: fedora_requires_release_note+


Attachments (Terms of Use)
File: backtrace (87.43 KB, text/plain)
2018-09-26 19:38 UTC, Paul Nodine
no flags Details
File: cgroup (345 bytes, text/plain)
2018-09-26 19:38 UTC, Paul Nodine
no flags Details
File: core_backtrace (23.11 KB, text/plain)
2018-09-26 19:38 UTC, Paul Nodine
no flags Details
File: cpuinfo (1.24 KB, text/plain)
2018-09-26 19:38 UTC, Paul Nodine
no flags Details
File: dso_list (25.21 KB, text/plain)
2018-09-26 19:38 UTC, Paul Nodine
no flags Details
File: environ (3.53 KB, text/plain)
2018-09-26 19:38 UTC, Paul Nodine
no flags Details
File: limits (1.29 KB, text/plain)
2018-09-26 19:38 UTC, Paul Nodine
no flags Details
File: maps (147.43 KB, text/plain)
2018-09-26 19:39 UTC, Paul Nodine
no flags Details
File: mountinfo (4.26 KB, text/plain)
2018-09-26 19:39 UTC, Paul Nodine
no flags Details
File: open_fds (11.31 KB, text/plain)
2018-09-26 19:39 UTC, Paul Nodine
no flags Details
File: proc_pid_status (1.31 KB, text/plain)
2018-09-26 19:39 UTC, Paul Nodine
no flags Details
File: var_log_messages (7.48 KB, text/plain)
2018-09-26 19:39 UTC, Paul Nodine
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Gitlab GNOME/mutter/issues/69 None None None 2019-09-12 09:45:34 UTC

Description Paul Nodine 2018-09-26 19:38:44 UTC
Description of problem:
I upgraded from Fedora 28 to Fedora 29 beta and this issue was also happening on Fedora 28. I close Evolution and I get an error message about Gnome Shell crashing

Version-Release number of selected component:
gnome-shell-3.30.0-8.fc29

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
executable:     /usr/bin/gnome-shell
journald_cursor: s=a96595e628714bdeb67c32a4c6be237b;i=1a685;b=65860167c7f541c18369b06c540581bd;m=18f726297;t=576cafba951cb;x=1b951fef63bd17a7
kernel:         4.18.9-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Potential duplicate: bug 1581818

Comment 1 Paul Nodine 2018-09-26 19:38:51 UTC
Created attachment 1487436 [details]
File: backtrace

Comment 2 Paul Nodine 2018-09-26 19:38:52 UTC
Created attachment 1487437 [details]
File: cgroup

Comment 3 Paul Nodine 2018-09-26 19:38:53 UTC
Created attachment 1487438 [details]
File: core_backtrace

Comment 4 Paul Nodine 2018-09-26 19:38:54 UTC
Created attachment 1487439 [details]
File: cpuinfo

Comment 5 Paul Nodine 2018-09-26 19:38:56 UTC
Created attachment 1487440 [details]
File: dso_list

Comment 6 Paul Nodine 2018-09-26 19:38:57 UTC
Created attachment 1487441 [details]
File: environ

Comment 7 Paul Nodine 2018-09-26 19:38:58 UTC
Created attachment 1487442 [details]
File: limits

Comment 8 Paul Nodine 2018-09-26 19:39:01 UTC
Created attachment 1487443 [details]
File: maps

Comment 9 Paul Nodine 2018-09-26 19:39:02 UTC
Created attachment 1487444 [details]
File: mountinfo

Comment 10 Paul Nodine 2018-09-26 19:39:03 UTC
Created attachment 1487445 [details]
File: open_fds

Comment 11 Paul Nodine 2018-09-26 19:39:04 UTC
Created attachment 1487446 [details]
File: proc_pid_status

Comment 12 Paul Nodine 2018-09-26 19:39:05 UTC
Created attachment 1487447 [details]
File: var_log_messages

Comment 13 Basil Eric Rabi 2018-10-02 12:57:01 UTC
Similar problem has been detected:

I was closing evolution then gnome shell crashed. This happens around 40% of the time when I'm closing evolution while
there are no more sync messages. If I close evolution while there are still messages about syncing mail to server, gnome shell
crashes around 80% of the time.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
executable:     /usr/bin/gnome-shell
journald_cursor: s=f52ed9316a6d491abd360208e2885fe2;i=9c8eb;b=18c87e18f39e46d68845a93f660239ac;m=c2b51fca;t=5773e47229706;x=5decde04825e1d10
kernel:         4.18.11-300.fc29.x86_64
package:        gnome-shell-3.30.0-9.fc29
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Basil Eric Rabi 2018-10-12 05:58:52 UTC
Just found out that the frequent crashes only occur in wayland. I changed to Xorg and so far, I have yet to experience a crash when I close evolution mail.

Comment 15 John Mellor 2018-11-01 00:47:50 UTC
Similar problem has been detected:

normal exit from evolution after reading email.  Total shell crash.
Same problem as reported many times in F28, never seen in Ubuntu-16 or -18.  Not fixed in F29.


reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
executable:     /usr/bin/gnome-shell
journald_cursor: s=5f05a03c80ee413cb13eb630d83e2410;i=e7397;b=c0535a2e8f0b493aa5681b271a4e3e65;m=24acaea7;t=5798fa6da78e6;x=5bb72d9eb5d554ec
kernel:         4.15.14-300.fc27.x86_64
package:        gnome-shell-3.30.1-2.fc29
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 OnAironaut 2018-11-04 12:55:21 UTC
*** Bug 1645860 has been marked as a duplicate of this bug. ***

Comment 17 Basil Eric Rabi 2018-11-04 15:47:56 UTC
Similar problem has been detected:

I was just closing evolution mail then gnome-shell crashed. With the recent update, the frequency of crashing lowered.

reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
executable:     /usr/bin/gnome-shell
journald_cursor: s=5b79b326f51b4ac58fffbe4d84436b86;i=2fed62;b=b9ac38c04c204e83b9a94a946ff58616;m=177b9d6d9;t=579d88b4f56b3;x=c516f6de3dac987b
kernel:         4.18.16-300.fc29.x86_64
package:        gnome-shell-3.30.1-2.fc29
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1003

Comment 18 Alexander Mayorov 2018-11-14 11:17:22 UTC
*** Bug 1649725 has been marked as a duplicate of this bug. ***

Comment 19 Niki Guldbrand 2018-11-17 12:35:39 UTC
Similar problem has been detected:

Don't know the exact trigger for this crash, but for at least the last year, I have been experincing
this issue from time to time, where, when I quit Evolution the whole gnome session (Wayland) crashes.

In this instance, I was using Chromium to play some Youtube video in fullscreen on a second monitor,
have had this happen when using firefox too for the same.

But so far it has always been in connection with exiting Evolution.

reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
executable:     /usr/bin/gnome-shell
journald_cursor: s=4dc4bdb4eba346aba78c05f2ba315d20;i=1498fb;b=56feaa7a9beb43fa96aedb035294f45d;m=100a18c9b2;t=57adb1c4808eb;x=e17be90819e3c858
kernel:         4.18.18-300.fc29.x86_64
package:        gnome-shell-3.30.2-1.fc29
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 20 bugzilla 2018-11-18 12:14:27 UTC
*** Bug 1650978 has been marked as a duplicate of this bug. ***

Comment 21 Daniel Rowe 2018-11-19 12:32:30 UTC
*** Bug 1651210 has been marked as a duplicate of this bug. ***

Comment 22 John Mellor 2018-11-27 01:46:54 UTC
Similar problem has been detected:

Same old, same old.  Obviously nobody is working on this long-time and very common fatal bug.
It may be possible that if you open Firfox while in evolution, you will crash the gnome session.

reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
executable:     /usr/bin/gnome-shell
journald_cursor: s=5f05a03c80ee413cb13eb630d83e2410;i=101d32;b=8ec5b0e91fdf4711becafc1608c35d31;m=1128ca285;t=57b9b13784358;x=59571ac767f2257
kernel:         4.15.14-300.fc27.x86_64
package:        gnome-shell-3.30.2-1.fc29
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 23 Isaque Galdino 2018-11-29 12:07:43 UTC
Similar problem has been detected:

There is not much what to describe. I was closing IBM Notes and then boom!

reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
executable:     /usr/bin/gnome-shell
journald_cursor: s=ad2a985865ed435395acbc2ccc607591;i=3ff6a2;b=3054ee872ff24a2280ce4fc0f03fa4b3;m=891f379df;t=57bc04074cca5;x=3c002ddf3ffdf4fe
kernel:         4.19.4-300.fc29.x86_64
package:        gnome-shell-3.30.2-1.fc29
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 24 Kyriakos Fytrakis 2018-12-06 21:02:05 UTC
*** Bug 1657023 has been marked as a duplicate of this bug. ***

Comment 25 Sreekumar R 2018-12-08 08:31:50 UTC
Similar problem has been detected:

Crashed happened either while installing software or launching eclipse

reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
executable:     /usr/bin/gnome-shell
journald_cursor: s=ecd6c0ab9ea742ae81d888f597e9718b;i=45a8b;b=20f2da19906c455385c9d4571eaddcdc;m=829278e3;t=57c7e6c660693;x=5b9f715e1fb02a93
kernel:         4.19.5-300.fc29.x86_64
package:        gnome-shell-3.30.2-1.fc29
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 26 Hans Klaufus 2018-12-11 19:19:17 UTC
*** Bug 1658334 has been marked as a duplicate of this bug. ***

Comment 27 fano 2018-12-13 07:04:14 UTC
Similar problem has been detected:

I ran update and then gnome shell crashed

reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
executable:     /usr/bin/gnome-shell
journald_cursor: s=e19076b41f7a47af86c7a3c74aae7388;i=89afb;b=b796b9f0fc8b413daf1b532afa627737;m=b67fc489;t=57ce1c5f3c99b;x=3364b66685c47de6
kernel:         4.19.8-300.fc29.x86_64
package:        gnome-shell-3.30.2-1.fc29
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 28 Shecks 2018-12-16 03:15:03 UTC
*** Bug 1659747 has been marked as a duplicate of this bug. ***

Comment 29 汪明衡 2018-12-20 01:48:17 UTC
Similar problem has been detected:

I had several windows open, emacs, Unity3D, Firefox, Blender, Evince and Evolution. Gnome Shell crashed when evolution was quitting.

reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
executable:     /usr/bin/gnome-shell
journald_cursor: s=256df33262334fe5943e37347a67e5c2;i=32221;b=73343e01e02b4206a2185d21db046c01;m=c01e02a3e;t=57d6a2f9fcde1;x=936da51e96848441
kernel:         4.19.8-300.fc29.x86_64
package:        gnome-shell-3.30.2-1.fc29
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 30 John Mellor 2018-12-22 14:17:18 UTC
Similar problem has been detected:

Evolution and Firefox open, Evolution seemed to hang and could not do updates from the two upstream email servers.  It crashed after about 4 minutes of hang, taking the entire Gnome session with it.
This crash has been reported dozens of times, in both Fedora 28 and 29, and I have never seen it in Ubuntu in a similar setup.

reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
executable:     /usr/bin/gnome-shell
journald_cursor: s=5f05a03c80ee413cb13eb630d83e2410;i=117ac2;b=6a5353fd34234b9586f9d7c3f0fbd114;m=85a0b39f;t=57d9ce340891f;x=2c22c362eae8faee
kernel:         4.15.14-300.fc27.x86_64
package:        gnome-shell-3.30.2-1.fc29
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 31 francko 2019-01-01 11:08:33 UTC
Similar problem has been detected:

closed Evolution, than Gnome crashed

reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
executable:     /usr/bin/gnome-shell
journald_cursor: s=aed1ae58d5ab45729f2b6e38953b3f6b;i=bb0a1;b=c44ce219aa3f4fe894a0d530342058fd;m=1406148df;t=57e635ccb26a7;x=49a32e12a2dda3ac
kernel:         4.19.10-300.fc29.x86_64
package:        gnome-shell-3.30.2-1.fc29
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 32 Don Swaner 2019-01-09 03:06:21 UTC
*** Bug 1664500 has been marked as a duplicate of this bug. ***

Comment 33 Philipp Bobek 2019-01-10 00:23:10 UTC
*** Bug 1664898 has been marked as a duplicate of this bug. ***

Comment 34 kriminalc 2019-01-16 14:02:28 UTC
*** Bug 1666768 has been marked as a duplicate of this bug. ***

Comment 35 Richard Ruhland 2019-01-24 18:14:02 UTC
*** Bug 1669254 has been marked as a duplicate of this bug. ***

Comment 36 Rubén Lledó 2019-01-24 21:03:06 UTC
*** Bug 1669289 has been marked as a duplicate of this bug. ***

Comment 37 Peter Trifonoff 2019-02-05 05:32:36 UTC
*** Bug 1672483 has been marked as a duplicate of this bug. ***

Comment 38 John Mellor 2019-02-05 23:14:16 UTC
One interesting observation: While this crash has happened to me dozens of time in F28 and F29, it seems to only happen when I have Firefox and Evolution open, and then exiting Evolution causes a total Gnome shell crash at least 50% of the time.

Comment 39 apt-ghetto 2019-02-09 11:30:06 UTC
*** Bug 1674144 has been marked as a duplicate of this bug. ***

Comment 40 Truls Asheim 2019-02-18 13:57:37 UTC
*** Bug 1678321 has been marked as a duplicate of this bug. ***

Comment 41 Tadej Janež 2019-02-19 12:17:59 UTC
Similar problem has been detected:

I copied a text from a Google Doc document and pasted it in gVIM.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
executable:     /usr/bin/gnome-shell
journald_cursor: s=2674d763869d47878e4a7da67b711f12;i=72a1b7;b=f5cbe819ff4243cc9e75e1aa3e4fcdca;m=687ef928e;t=5823d9899eb4e;x=7bb62c64554efe
kernel:         4.20.7-200.fc29.x86_64
package:        gnome-shell-3.30.2-1.fc29
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 42 ralph 2019-02-20 06:39:14 UTC
*** Bug 1679020 has been marked as a duplicate of this bug. ***

Comment 43 Alessandro Machado 2019-02-24 12:39:10 UTC
*** Bug 1680383 has been marked as a duplicate of this bug. ***

Comment 44 Stefan Gies 2019-02-28 15:20:30 UTC
Similar problem has been detected:

Audacious, Gnome-System-Montor and Brave Browser (beta) were running

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
executable:     /usr/bin/gnome-shell
journald_cursor: s=a202503fedd34be1a73f25de1a0c8a66;i=2382b;b=da7281759ccb479c88e1e9fb84fc375a;m=f45493b6;t=582f5b61df602;x=c24d005686fc74ab
kernel:         4.20.11-200.fc29.x86_64
package:        gnome-shell-3.30.2-1.fc29
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 45 fedbzville 2019-02-28 20:22:24 UTC
Similar problem has been detected:

I simply closed Evolution in the usual way

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
executable:     /usr/bin/gnome-shell
journald_cursor: s=9e629968d85e4d2e929bb788bde7b12b;i=125dad;b=bd7f2a2a5b6a4b8eb2bf2b2c5739e47e;m=2b8be860e;t=582f9edce9c61;x=f59d1ddc7ac7f416
kernel:         4.20.11-200.fc29.x86_64
package:        gnome-shell-3.30.2-1.fc29
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 46 r.v.f 2019-02-28 21:29:48 UTC
*** Bug 1684279 has been marked as a duplicate of this bug. ***

Comment 47 kxra 2019-03-02 22:44:16 UTC
*** Bug 1684834 has been marked as a duplicate of this bug. ***

Comment 48 Maciej 2019-03-03 19:52:57 UTC
*** Bug 1684914 has been marked as a duplicate of this bug. ***

Comment 49 Gaveen Prabhasara 2019-03-04 07:01:23 UTC
*** Bug 1685014 has been marked as a duplicate of this bug. ***

Comment 50 seliga.honza@gmail.com 2019-03-05 11:53:40 UTC
*** Bug 1685518 has been marked as a duplicate of this bug. ***

Comment 51 rugk 2019-03-06 23:10:01 UTC
*** Bug 1686211 has been marked as a duplicate of this bug. ***

Comment 52 汪明衡 2019-03-11 12:00:20 UTC
Similar problem has been detected:

This time it has nothing to do with evolution. I was closing Unity.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
executable:     /usr/bin/gnome-shell
journald_cursor: s=256df33262334fe5943e37347a67e5c2;i=3dc78c;b=c73185b8346c4d08ae3d272bd54248e1;m=9e8039590;t=583cfed62c1f6;x=afa625f43ddf3720
kernel:         4.20.13-200.fc29.x86_64
package:        gnome-shell-3.30.2-1.fc29
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 53 cornel panceac 2019-03-15 18:13:07 UTC
*** Bug 1689377 has been marked as a duplicate of this bug. ***

Comment 54 Noctis Lucis Sora (Qais) 2019-03-15 19:52:47 UTC
*** Bug 1689398 has been marked as a duplicate of this bug. ***

Comment 55 burn 2019-03-18 02:47:58 UTC
*** Bug 1689754 has been marked as a duplicate of this bug. ***

Comment 56 Ben Ooijevaar 2019-03-18 14:01:55 UTC
*** Bug 1689952 has been marked as a duplicate of this bug. ***

Comment 57 marek.letec 2019-03-19 20:04:46 UTC
Similar problem has been detected:

I wanted to select multiple messages in Thunderbird. Was holding LShift key and when I clicked with mouse, gnome-shell instantly crashed.

reporter:       libreport-2.10.0
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
executable:     /usr/bin/gnome-shell
journald_cursor: s=3a330b2c6dfc420b8f16714b6d88c71f;i=7abb3;b=077a79c16870488bb19b33fb68638177;m=c9187b9a5;t=58477e276e3ce;x=96a9aeb63eab0fee
kernel:         4.20.15-200.fc29.x86_64
package:        gnome-shell-3.30.2-1.fc29
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 58 Matthew Brabham 2019-03-19 21:26:51 UTC
*** Bug 1690636 has been marked as a duplicate of this bug. ***

Comment 59 汪明衡 2019-03-20 10:02:41 UTC
Similar problem has been detected:

This time I was not even doing anything. I just switched windows between Unity and firefox.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
executable:     /usr/bin/gnome-shell
journald_cursor: s=256df33262334fe5943e37347a67e5c2;i=45961a;b=fb44392c492240ba921c0a8fef88514a;m=7c23015eb;t=584839c0ba517;x=f1260080448512d7
kernel:         4.20.15-200.fc29.x86_64
package:        gnome-shell-3.30.2-1.fc29
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 60 Casey 2019-03-20 16:49:30 UTC
*** Bug 1691031 has been marked as a duplicate of this bug. ***

Comment 61 Cornel Ahlers 2019-03-21 15:56:20 UTC
*** Bug 1691452 has been marked as a duplicate of this bug. ***

Comment 62 Robert Hinson 2019-03-23 00:21:16 UTC
My friend Mark has had it happen to him in Fedora 27.  So it is an old bug.

Comment 63 igor 2019-03-25 08:10:56 UTC
*** Bug 1692263 has been marked as a duplicate of this bug. ***

Comment 64 Milan Crha 2019-03-25 10:47:51 UTC
For those whom can reproduce this with Evolution (as it seems like one of the easiest reproducers), do you have Evolution set to do anything specific on its exist, say like expunging Trash folders, or deleting Junk messages or anything like that? It can be anything. As the other reports suggest, it might not necessarily be a problem in Evolution itself, it can be just an easy reproducer.

The error messages it tries to print at the time of the crash says "BadWindow (invalid Window parameter)". It usually means that the code accesses gtk+ from multiple threads, not only from the main/UI thread (that's at least my experience with this kind of X11 error). The error aborts the faulty application, not the whole desktop environment, as far as I know. There is a possibility to debug it, the error messages has some information about it, but it's probably not shown anywhere handy, though when I try running gnome-shell under gdb here it freezes not only the gnome-shell, but the whole machine (I cannot switch to a text terminal), thus it's something not easily doable.

I noticed somewhere that the session which is running is "GNOME", not "GNOME on Xorg", right? This is crashing in X11 code, which I'd not expect to be called, but I do not know how GNOME shell cooperates with xwayland or anything like that.

Comment 65 ref 2019-03-25 11:31:56 UTC
*** Bug 1692328 has been marked as a duplicate of this bug. ***

Comment 66 Ronald A Guerra Este 2019-03-25 16:59:55 UTC
*** Bug 1692480 has been marked as a duplicate of this bug. ***

Comment 67 汪明衡 2019-03-25 23:35:41 UTC
(In reply to Milan Crha from comment #64)
> For those whom can reproduce this with Evolution (as it seems like one of
> the easiest reproducers), do you have Evolution set to do anything specific
> on its exist, say like expunging Trash folders, or deleting Junk messages or
> anything like that? It can be anything. As the other reports suggest, it
> might not necessarily be a problem in Evolution itself, it can be just an
> easy reproducer.
> 
> The error messages it tries to print at the time of the crash says
> "BadWindow (invalid Window parameter)". It usually means that the code
> accesses gtk+ from multiple threads, not only from the main/UI thread
> (that's at least my experience with this kind of X11 error). The error
> aborts the faulty application, not the whole desktop environment, as far as
> I know. There is a possibility to debug it, the error messages has some
> information about it, but it's probably not shown anywhere handy, though
> when I try running gnome-shell under gdb here it freezes not only the
> gnome-shell, but the whole machine (I cannot switch to a text terminal),
> thus it's something not easily doable.
> 
> I noticed somewhere that the session which is running is "GNOME", not "GNOME
> on Xorg", right? This is crashing in X11 code, which I'd not expect to be
> called, but I do not know how GNOME shell cooperates with xwayland or
> anything like that.

Those may also lead to crash but not necessarily. In my experience GS almost always crashes when evolution is saving changes to the mail server. because my internet to gmail is very bad it often takes long time for evolution to finish while closing, unless I send SIGKILL. but as i noted above, evolution doesn't have to be involved, neither does firefox, GS sometimes crashes when I'm only using Unity.

Comment 68 Mauro Boffa 2019-03-27 12:44:33 UTC
*** Bug 1693275 has been marked as a duplicate of this bug. ***

Comment 69 Need Real Name 2019-03-27 14:50:28 UTC
*** Bug 1693330 has been marked as a duplicate of this bug. ***

Comment 70 Ryan Quinn 2019-03-29 16:29:41 UTC
*** Bug 1694155 has been marked as a duplicate of this bug. ***

Comment 71 Basil Eric Rabi 2019-03-31 06:53:35 UTC
*** Bug 1694405 has been marked as a duplicate of this bug. ***

Comment 72 Rudrajit Basu 2019-04-07 18:26:49 UTC
*** Bug 1697123 has been marked as a duplicate of this bug. ***

Comment 73 Milan Crha 2019-04-24 20:39:00 UTC
*** Bug 1702803 has been marked as a duplicate of this bug. ***

Comment 74 Flavien Bonvin 2019-05-02 07:23:20 UTC
*** Bug 1705353 has been marked as a duplicate of this bug. ***

Comment 75 Pavel Roskin 2019-05-03 16:14:11 UTC
(In reply to Milan Crha from comment #64)
> For those whom can reproduce this with Evolution (as it seems like one of
> the easiest reproducers), do you have Evolution set to do anything specific
> on its exist, say like expunging Trash folders, or deleting Junk messages or
> anything like that?

I use Evolution to read email from the corporate Exchange server. Evolution would often lose connection to the server after an hour or so. The fix is to disconnect and reconnect Evolution. This bug is triggered if Evolution has disconnected, but I just close it without trying to reconnect. I guess Evolution tries to show me something, but crashes gnome-shell instead.

Comment 76 Alessandro 2019-05-03 21:14:08 UTC
*** Bug 1706240 has been marked as a duplicate of this bug. ***

Comment 77 Hugo Figueiredo 2019-05-09 14:26:37 UTC
*** Bug 1708287 has been marked as a duplicate of this bug. ***

Comment 78 marek.letec 2019-05-10 19:01:38 UTC
Similar problem has been detected:

Mouse over Gnome Panel.

reporter:       libreport-2.10.0
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
executable:     /usr/bin/gnome-shell
journald_cursor: s=76f64e3e67204a8286fca98baf229f9f;i=14c5c6;b=44ff6e320ad14c4ba927688a338392a6;m=c1e42a389;t=5888d0e77fe81;x=85794e74640078d2
kernel:         5.0.11-300.fc30.x86_64
package:        gnome-shell-3.32.1-1.fc30
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 79 Boyan Boychev 2019-05-29 08:50:05 UTC
*** Bug 1714939 has been marked as a duplicate of this bug. ***

Comment 80 DELATTRE Clement 2019-06-02 15:24:43 UTC
*** Bug 1716174 has been marked as a duplicate of this bug. ***

Comment 81 ssauce29 2019-06-02 19:43:24 UTC
*** Bug 1716192 has been marked as a duplicate of this bug. ***

Comment 82 dizzy 2019-06-06 09:32:45 UTC
*** Bug 1717822 has been marked as a duplicate of this bug. ***

Comment 83 René Perdok 2019-06-13 07:04:06 UTC
*** Bug 1720089 has been marked as a duplicate of this bug. ***

Comment 84 beto.sierra 2019-06-25 23:10:55 UTC
*** Bug 1723984 has been marked as a duplicate of this bug. ***

Comment 85 Pradeep Kumar 2019-06-26 01:39:07 UTC
*** Bug 1724004 has been marked as a duplicate of this bug. ***

Comment 86 oscargsv 2019-06-26 20:55:49 UTC
*** Bug 1724351 has been marked as a duplicate of this bug. ***

Comment 87 John Mellor 2019-06-26 21:05:07 UTC
Can we please get some movement on this critical bug?  There has been no activity for 3 releases on it, and it is relatively easy to duplicate.  For some unknown reason it is still listed as a NEW bug, although it clearly is a long-term lib interaction fault getting no action.  Please make it a blocker for F31.

Comment 88 forlorn 2019-06-30 08:30:26 UTC
*** Bug 1725370 has been marked as a duplicate of this bug. ***

Comment 89 humberto 2019-07-01 14:45:41 UTC
*** Bug 1725847 has been marked as a duplicate of this bug. ***

Comment 90 Antonio Gagliarducci 2019-07-03 08:54:38 UTC
*** Bug 1726588 has been marked as a duplicate of this bug. ***

Comment 91 taranis75 2019-07-08 08:16:07 UTC
*** Bug 1727798 has been marked as a duplicate of this bug. ***

Comment 92 Marco Barberini 2019-07-11 13:15:50 UTC
*** Bug 1729148 has been marked as a duplicate of this bug. ***

Comment 93 Giovanni Campagna 2019-07-20 04:35:53 UTC
Similar problem has been detected:

Shell crashed as I closed a window from the overview while another fullscreen window was open (playing video)

reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
executable:     /usr/bin/gnome-shell
journald_cursor: s=141e291d98ff440683c8366b2ac5c147;i=10f5b;b=09f48b458c024e73ab090974d6b24eb4;m=1b0db9df4;t=58e152da8b420;x=d41ebad202926d8f
kernel:         5.1.16-300.fc30.x86_64
package:        gnome-shell-3.32.2-2.fc30
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 94 david.kaspar@mavenir.com 2019-07-25 11:29:41 UTC
Fresh installation of these packages: evolution evolution-ews

Then I...
* added an Outlook 365 account in Online Accounts in Fedora
* launched the Evolution
* let the Evolution Sync
* Disabled Local Mail Folder
* Clicked on the Close button
... After it the Evolution crashed and took the Wayland session with it.

Now everytime I open Evolution, then close it, the Wayland crashes...

Owen, do you have an estimation when this could get fixed? (Are you actually even aware of this issue? :))

... It's working for me in F29, but in F30 it's a major drawback on using Fedora.

Comment 95 Don Swaner 2019-07-25 16:53:12 UTC
*** Bug 1733318 has been marked as a duplicate of this bug. ***

Comment 96 Basil Eric Rabi 2019-08-01 01:14:16 UTC
Similar problem has been detected:

Just closing libreoffice than gnome-shell crashed.

reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
executable:     /usr/bin/gnome-shell
journald_cursor: s=d352daa45aab499fa3701dc95ce6fc3c;i=251c92;b=43341fb9b18045c2a9ab4d5cd8eb0914;m=c875595d;t=58f0321dd7fba;x=a5532f33ce4673b3
kernel:         5.1.20-300.fc30.x86_64
package:        gnome-shell-3.32.2-2.fc30
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 97 Milan Crha 2019-08-01 16:56:00 UTC
(In reply to david.kaspar@mavenir.com from comment #94)
> Now everytime I open Evolution, then close it, the Wayland crashes...

I tried with an up-to-date Fedora 30 virtual machine, but no luck. I do not know how much it's related (also?) to video drivers.

Comment 98 Pavel Roskin 2019-08-01 17:12:28 UTC
I believe Evolution causes the crash if it has been disconnected from the Exchange mail server without knowing it. If I use the online/offline button to reconnect, Evolution exits without crashing GNOME Shell. I suspect Evolution tries to show a window with wrong parameters that triggers the crash.

Those crashes have become more rare lately, but it can be because on my mail server or because of fixes that mitigate some cases without solving the underlying problem. But I saw the issue in the last week or so. I run Fedora 30 an I keep it up to date with updates-testing.

Comment 99 Milan Crha 2019-08-01 17:18:50 UTC
I asked for a help and I've got this hint: Could anybody of those whom can reproduce this update backtrace with added:

   GDK_SYNCHRONIZE=1
   MUTTER_SYNC=1

into /etc/environment, please? Restart the machine once you add those two lines there.

ABRT should catch the crash and provide debug symbols and such for needed packages to have the backtrace usable, but, just in case, up-to-date debuginfo packages for at least mutter and gnome-shell may help to provide usable backtrace.

The backtrace may not be exactly the same, due to the synchronous calls, thus ABRT may not pair the new crash with this bug report. I'm only guessing here though.

Comment 100 Pavel Roskin 2019-08-01 18:04:44 UTC
Added those variables and rebooted. I plan to leave Evolution running overnight and close it in the morning. I tried killing the network using iptables, but it doesn't help reproducing the issue.

Comment 101 Michael 2019-08-07 08:38:48 UTC
*** Bug 1738454 has been marked as a duplicate of this bug. ***

Comment 102 Sandipan Saha 2019-08-07 16:09:50 UTC
*** Bug 1738630 has been marked as a duplicate of this bug. ***

Comment 103 Owen Taylor 2019-08-07 19:56:44 UTC
Resetting ownership to current GNOME Shell / Mutter maintainer. Florian, can you figure out if there's an upstream bug for this and the right next step?

Comment 104 Pavel Roskin 2019-08-17 01:53:38 UTC
Finally I had another crash. GDK_SYNCHRONIZE=1 and MUTTER_SYNC=1 are set. I closed Evolution, and GNOME Shell went down, logging me out. ABRT captured the crash. It only gives me an option to do a local retrace.

--- Running report_uReport ---
('report_uReport' completed successfully)

--- Running analyze_CCpp ---
Ok to upload core dump? (It may contain sensitive data). If your answer is 'No', a stack trace will be generated locally. (It may download a huge amount of data). 'YES'
Querying server settings
Retrace server can not be used, because the crash is too large. Try local retracing.
The size of your crash is 1.5 GiB, but the retrace server only accepts crashes smaller or equal to 1.2 GiB.
Do you want to generate a stack trace locally? (It may download a huge amount of data but reporting can't continue without stack trace). 'YES'
Analyzing coredump 'coredump'
Cleaning cache...
Cache cleaning has finished
All debuginfo files are available
Generating backtrace
Backtrace is too big (498253 bytes), reducing depth to 512
Backtrace is too big (496191 bytes), reducing depth to 256
Backtrace is too big (496191 bytes), reducing depth to 128
Backtrace is too big (496191 bytes), reducing depth to 64
Backtrace is generated and saved, 56048 bytes

--- Running analyze_BodhiUpdates ---
Looking for similar problems in bugzilla
Duplicate bugzilla bug '#712612' was found
Searching for updates
No updates for this package found


Bug #712612 is closed with WONTFIX.

I saved the directory from /var/spool/abrt corresponding to the crash. "coredump" is by far the largest file at 1.5 Gb. Here's something interesting from var_log_messages:

Aug 16 17:27:25 roskinp-7510 gnome-shell[1878]: The program 'gnome-shell' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadWindow (invalid Window parameter)'.
(Details: serial 123914 error_code 3 request_code 18 (core protocol) minor_code 0)
(Note to programmers: normally, X errors are reported asynchronously;
that is, you will receive the error a while after causing it.
To debug your program, run it with the GDK_SYNCHRONIZE environment
variable to change this behavior. You can then get a meaningful
backtrace from your debugger if you break on the gdk_x_error() function.)
Aug 16 17:27:25 roskinp-7510 org.gnome.Shell.desktop[1878]: == Stack trace for context 0x560824fae2e0 ==
Aug 16 17:27:27 roskinp-7510 org.gnome.Shell.desktop[1878]: (EE) failed to read Wayland events: Broken pipe

And here's the backtrace.

#0  0x00007f1dbd658e75 in __GI_raise (sig=<optimized out>) at ../sysdeps/unix/sysv/linux/raise.c:50
#1  0x0000560822e45254 in dump_gjs_stack_on_signal_handler (signo=5) at ../src/main.c:343
#2  0x00007f1dbd658f00 in <signal handler called> () at /usr/lib64/libc-2.29.so
#3  0x00007f1dbe4130a5 in _g_log_abort (breakpoint=1) at ../glib/gmessages.c:554
#4  0x00007f1dbe415a7c in g_log_writer_default (log_level=6, log_level@entry=G_LOG_LEVEL_ERROR, fields=fields@entry=0x7ffe75131750, n_fields=n_fields@entry=6, user_data=user_data@entry=0x0) at ../glib/gmessages.c:2690
#5  0x00007f1dbe413ce7 in g_log_structured_array (n_fields=6, fields=0x7ffe75131750, log_level=G_LOG_LEVEL_ERROR) at ../glib/gmessages.c:1923
#6  0x00007f1dbe413ce7 in g_log_structured_array (log_level=G_LOG_LEVEL_ERROR, fields=0x7ffe75131750, n_fields=6) at ../glib/gmessages.c:1896
#7  0x00007f1dbe414704 in g_log_structured_standard (log_domain=log_domain@entry=0x7f1dbd564017 "Gdk", log_level=log_level@entry=G_LOG_LEVEL_ERROR, file=file@entry=0x7f1dbd5821dc "gdkdisplay-x11.c", line=line@entry=0x7f1dbd582288 "2763", func=func@entry=0x7f1dbd582ef0 <__func__.76909> "_gdk_x11_display_error_event", message_format=message_format@entry=0x7f1dbd583258 "%s") at ../glib/gmessages.c:1980
#8  0x00007f1dbd522c8a in _gdk_x11_display_error_event (display=display@entry=0x560824f6d000 [GdkX11Display], error=error@entry=0x7ffe75131da0) at gdkdisplay-x11.c:2763
#9  0x00007f1dbd52fc33 in gdk_x_error (error=0x7ffe75131da0, xdisplay=0x560824f5d800) at gdkmain-x11.c:307
#10 0x00007f1dbd52fc33 in gdk_x_error (xdisplay=0x560824f5d800, error=0x7ffe75131da0) at gdkmain-x11.c:269
#11 0x00007f1dbd1c6402 in _XError (dpy=dpy@entry=0x560824f5d800, rep=rep@entry=0x7f1da00edda0) at XlibInt.c:1444
#12 0x00007f1dbd1c3297 in handle_error (dpy=0x560824f5d800, err=0x7f1da00edda0, in_XReply=<optimized out>) at xcb_io.c:199
#13 0x00007f1dbd1c333d in handle_response (dpy=dpy@entry=0x560824f5d800, response=0x7f1da00edda0, in_XReply=in_XReply@entry=1) at xcb_io.c:324
#14 0x00007f1dbd1c42b0 in _XReply (dpy=dpy@entry=0x560824f5d800, rep=rep@entry=0x7ffe75131f50, extra=extra@entry=0, discard=discard@entry=1) at xcb_io.c:634
#15 0x00007f1dbd1bfb01 in XSync (dpy=0x560824f5d800, discard=discard@entry=0) at Sync.c:44
#16 0x00007f1dbd1bfb9f in _XSyncFunction (dpy=<optimized out>) at Synchro.c:35
#17 0x00007f1dbd1a0123 in XChangeProperty (dpy=0x560824f5d800, w=23068797, property=<optimized out>, type=<optimized out>, format=format@entry=8, mode=mode@entry=0, data=0x560831e8b5a0 "", nelements=0) at ChProp.c:92
#18 0x00007f1dbd90241b in wayland_selection_update_x11_property (data=data@entry=0x560831e8b530) at ../src/wayland/meta-xwayland-selection.c:675
#19 0x00007f1dbd902fa5 in wayland_data_read_cb (object=0x560824e340c0 [GUnixInputStream], res=0x560826d07480, user_data=user_data@entry=0x560825258020) at ../src/wayland/meta-xwayland-selection.c:744
#20 0x00007f1dbe5eac1a in g_task_return_now (task=0x560826d07480 [GTask]) at ../gio/gtask.c:1209
#21 0x00007f1dbe5eb7ed in g_task_return (task=0x560826d07480 [GTask], type=<optimized out>) at ../gio/gtask.c:1278
#22 0x00007f1dbe5ec08e in g_task_return (type=G_TASK_RETURN_SUCCESS, task=<optimized out>) at ../gio/gtask.c:1791
#23 0x00007f1dbe5ec08e in g_task_return_boolean (task=<optimized out>, result=<optimized out>) at ../gio/gtask.c:1795
#24 0x00007f1dbe5b9cbf in read_all_callback (stream=0x560824e340c0 [GUnixInputStream], result=<optimized out>, user_data=0x0) at ../gio/ginputstream.c:711
#25 0x00007f1dbe5ba91b in async_ready_callback_wrapper (source_object=0x560824e340c0 [GUnixInputStream], res=0x560826ee93e0, user_data=0x560826d07480) at ../gio/ginputstream.c:532
#26 0x00007f1dbe5eac1a in g_task_return_now (task=0x560826ee93e0 [GTask]) at ../gio/gtask.c:1209
#27 0x00007f1dbe5eb7ed in g_task_return (task=0x560826ee93e0 [GTask], type=<optimized out>) at ../gio/gtask.c:1278
#28 0x00007f1dbe5ebefe in g_task_return (type=G_TASK_RETURN_SUCCESS, task=<optimized out>) at ../gio/gtask.c:1736
#29 0x00007f1dbe5ebefe in g_task_return_int (task=<optimized out>, result=<optimized out>) at ../gio/gtask.c:1740
#30 0x00007f1dbe5b8ccf in read_async_pollable (stream=0x560824e340c0, task=0x560824e340c0 [GUnixInputStream]) at ../gio/ginputstream.c:1365
#31 0x00007f1dbe5b8d4d in read_async_pollable_ready (stream=<optimized out>, user_data=<optimized out>) at ../gio/ginputstream.c:1330
#32 0x00007f1dbe40cedd in g_main_dispatch (context=0x560824b07d80) at ../glib/gmain.c:3189
#33 0x00007f1dbe40cedd in g_main_context_dispatch (context=context@entry=0x560824b07d80) at ../glib/gmain.c:3854
#34 0x00007f1dbe40d270 in g_main_context_iterate (context=0x560824b07d80, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/gmain.c:3927
#35 0x00007f1dbe40d5a3 in g_main_loop_run (loop=0x560824f0faa0) at ../glib/gmain.c:4123
#36 0x00007f1dbd89a570 in meta_run () at ../src/core/main.c:683
#37 0x0000560822e44b94 in main (argc=<optimized out>, argv=<optimized out>) at ../src/main.c:499

Please let me know I can help with debugging. As you can see, the issue doesn't happen as often as it used to.

Comment 105 Pavel Roskin 2019-08-17 02:09:20 UTC
Systemd journal around the event. It looks like evolution does something wrong and crashes gnome-shell.

Aug 16 17:27:20 roskinp-7510 systemd[1680]: grive-changes@default.service: Main process exited, code=exited, status=1/FAILURE
Aug 16 17:27:20 roskinp-7510 systemd[1680]: grive-changes@default.service: Failed with result 'exit-code'.
Aug 16 17:27:25 roskinp-7510 evolution[3571]: Your application did not unregister from D-Bus before destruction. Consider using g_application_run().
Aug 16 17:27:25 roskinp-7510 evolution[3571]: g_source_set_ready_time: assertion 'source->priv != NULL' failed
Aug 16 17:27:25 roskinp-7510 gnome-shell[1878]: The program 'gnome-shell' received an X Window System error.
                                                This probably reflects a bug in the program.
                                                The error was 'BadWindow (invalid Window parameter)'.
                                                  (Details: serial 123914 error_code 3 request_code 18 (core protocol) minor_code 0)
                                                  (Note to programmers: normally, X errors are reported asynchronously;
                                                   that is, you will receive the error a while after causing it.
                                                   To debug your program, run it with the GDK_SYNCHRONIZE environment
                                                   variable to change this behavior. You can then get a meaningful
                                                   backtrace from your debugger if you break on the gdk_x_error() function.)
Aug 16 17:27:25 roskinp-7510 audit[1878]: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=2 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=1878 comm="gnome-shell" exe="/usr/bin/gnome-shell" sig=5 res=1
Aug 16 17:27:25 roskinp-7510 org.gnome.Shell.desktop[1878]: == Stack trace for context 0x560824fae2e0 ==
Aug 16 17:27:25 roskinp-7510 systemd[1]: Created slice system-systemd\x2dcoredump.slice.
Aug 16 17:27:25 roskinp-7510 systemd[1]: Started Process Core Dump (PID 6812/UID 0).
Aug 16 17:27:25 roskinp-7510 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-coredump@0-6812-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Aug 16 17:27:27 roskinp-7510 gnome-terminal-[14253]: Error reading events from display: Connection reset by peer
Aug 16 17:27:27 roskinp-7510 evolution-alarm[2412]: Error reading events from display: Broken pipe
Aug 16 17:27:27 roskinp-7510 seapplet[2377]: Error reading events from display: Broken pipe
Aug 16 17:27:27 roskinp-7510 gsd-wacom[2157]: Error reading events from display: Broken pipe
Aug 16 17:27:27 roskinp-7510 polkitd[991]: Unregistered Authentication Agent for unix-session:2 (system bus name :1.322, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8) (disconnected from bus)
Aug 16 17:27:27 roskinp-7510 org.gnome.Shell.desktop[1878]: (EE) failed to read Wayland events: Broken pipe
Aug 16 17:27:27 roskinp-7510 gnome-session[1715]: gnome-session-binary[1715]: WARNING: Application 'org.gnome.Shell.desktop' killed by signal 5
Aug 16 17:27:27 roskinp-7510 gnome-session-binary[1715]: WARNING: Application 'org.gnome.Shell.desktop' killed by signal 5
Aug 16 17:27:27 roskinp-7510 gnome-session-binary[1715]: Unrecoverable failure in required component org.gnome.Shell.desktop
Aug 16 17:27:27 roskinp-7510 systemd[1680]: gnome-terminal-server.service: Main process exited, code=exited, status=1/FAILURE
Aug 16 17:27:27 roskinp-7510 systemd[1680]: gnome-terminal-server.service: Failed with result 'exit-code'.
Aug 16 17:27:27 roskinp-7510 pidgin.desktop[2403]: Pidgin: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.

I'm on Fedora 30 x86_64 up-to-date with updates-testing.

Comment 106 Milan Crha 2019-08-19 08:12:03 UTC
Thanks for the update. The backtrace looks like being from gjs. I cannot comment on most of the warnings from the journalctl, but I know of the two from evolution:

> evolution[3571]: Your application did not unregister from D-Bus before destruction. Consider using g_application_run().

This is a semi-debugging ((I'm sorry) kind of nonsense) warning printed by glib since some semi recent version of it (glib2). It only makes noise in logs for regular users, whom can do nothing about it.

> evolution[3571]: g_source_set_ready_time: assertion 'source->priv != NULL' failed

This most likely comes from WebKitGTK+:
https://bugs.webkit.org/show_bug.cgi?id=197266

Comment 107 Milan Crha 2019-08-19 10:25:25 UTC
I've no idea about the mutter code (the functions in the backtrace come from it), it only looks like mutter is trying to finish some copy&paste operation through clipboard and it fails. I've not been able to invoke the function other than by copying text from a native Wayland application to an XWayland application (like from Evolution to Firefox (not firefox-wayland)), but it did not reproduce the crash, neither after I closed either of the two.

Comment 108 Alexander Mayorov 2019-08-19 11:03:24 UTC
Sporadically I have some issues with copy&paste, e.g. Ctrl-C does not work from the first time at all or loses leading and trailing white spaces and CR (Carriage Return) symbol of last line of copied multi-line text. (From second Ctrl-C attempt it works as expected).
From time to time Gnome Shell crashes during attempt to Copy/Cut in Nautilus.
Many times Gnome Shell session crashed on exit from an application but I cannot detect a trigger conditions.

Usually Abrt tool does not inform me about crash happened last time after new login or there is no data to collect.

Would you be so kind to point me to a procedure how to collect required data about the crashes so I would try to collect it?

Comment 109 dmanlfc 2019-08-20 02:44:25 UTC
*** Bug 1743453 has been marked as a duplicate of this bug. ***

Comment 110 hebertjulio 2019-08-22 00:23:41 UTC
*** Bug 1744364 has been marked as a duplicate of this bug. ***

Comment 111 HERVE NICOLAI 2019-08-24 22:46:15 UTC
*** Bug 1745284 has been marked as a duplicate of this bug. ***

Comment 112 xqgex.n 2019-08-25 12:11:37 UTC
*** Bug 1745327 has been marked as a duplicate of this bug. ***

Comment 113 Johannes Postler 2019-09-04 08:51:19 UTC
Similar problem has been detected:

out of nowhere.

reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
executable:     /usr/bin/gnome-shell
journald_cursor: s=356e10dfec8c46e59bf72ff58a3b97e1;i=4ceb9;b=c539b72dfb1f4f71845d0a3a5ddaa849;m=1524c164ae;t=591b620b4a217;x=8fc815b43fc9d006
kernel:         5.2.9-200.fc30.x86_64
package:        gnome-shell-3.32.2-2.fc30
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 114 John Mellor 2019-09-10 12:54:14 UTC
Recent updates have changed the crash logging behaviour, so that the crash is not logged.  I have had this happen 3 times now, by opening a web page in firefox from an email, finished reading my emails, switched to another webpage, and then closing evolution.  Boom!  On logging in again, no crash is reported.  I have set GDK_SYNCHRONIZE=1 and MUTTER_SYNC=1 as recommended in a previous response, and this may have been the change that makes the crash happen without logging.

Can we make this crash a blocker for F31 ?

Comment 115 fano 2019-09-12 08:17:28 UTC
Similar problem has been detected:

I closed Evolution and gnome-shell crashed, like it was in Fedora 29. 

reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
executable:     /usr/bin/gnome-shell
journald_cursor: s=6acb6718bf7b41c09673cf48b9c02126;i=deef0;b=4e6aa4093abd4f4282357590ee2cbc4a;m=1c9af1b0;t=59256873b5124;x=65f7a5a4c06925ef
kernel:         5.2.13-200.fc30.x86_64
package:        gnome-shell-3.32.2-2.fc30
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 116 Milan Crha 2019-09-12 09:45:34 UTC
Possibly related upstream bug:
https://gitlab.gnome.org/GNOME/mutter/issues/69

There is mentioned it can be fixed in 3.34, thus Fedora 31. Looking into the recent duplicates of this bug all are from Fedora 30, thus GNOME 3.32.

Comment 117 Olivier Fourdan 2019-09-12 11:27:11 UTC
From attachment 1487447 [details] :

Sep 26 15:10:56 paul-fedoradesktop gnome-shell[1171]: The program 'gnome-shell' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadWindow (invalid Window parameter)'.
(Details: serial 34996 error_code 3 request_code 18 (core protocol) minor_code 0)

 - request code 18 is `XChangeProperty()`
 - `BadWindow` means the window is gone most likely, so that rules out the root window.

So maybe we should try searching for a `XChangeProperty()` not within a `meta_x11_error_trap_push()`/`meta_x11_error_trap_pop()`

A quick search in current mutter code (master) did not yield any such case, whereas I suspect there were a few possible cases in meta-xwayland-selection.c in the previous branches of mutter, so I suspect this issue might be fixed now in GNOME 3.34.

Comment 118 Miroslav Jurkas 2019-09-16 06:09:05 UTC
*** Bug 1752336 has been marked as a duplicate of this bug. ***

Comment 119 psuchcicki 2019-09-28 11:36:33 UTC
*** Bug 1756606 has been marked as a duplicate of this bug. ***

Comment 120 Ondrej Svetlik 2019-10-01 09:05:30 UTC
*** Bug 1757332 has been marked as a duplicate of this bug. ***

Comment 121 Johannes Rest 2019-10-02 13:56:41 UTC
Similar problem has been detected:

I tried to make a screenshot of windows vm inside Boxes. Then after selection of the rectangle to screenshot the session crashed.

reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
executable:     /usr/bin/gnome-shell
journald_cursor: s=1e7fb8da2a624100b0c2aec9d38c2235;i=6b97b;b=ce179149678e4bf8ae371af25154e345;m=3da353c88;t=593ed297bd254;x=f9327da6d4307cf4
kernel:         5.2.17-200.fc30.x86_64
package:        gnome-shell-3.32.2-2.fc30
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 122 Ryan Quinn 2019-10-02 20:41:55 UTC
*** Bug 1757980 has been marked as a duplicate of this bug. ***

Comment 123 klaatu 2019-10-05 03:59:18 UTC
*** Bug 1758727 has been marked as a duplicate of this bug. ***

Comment 124 piwoqven 2019-10-05 12:07:00 UTC
*** Bug 1758757 has been marked as a duplicate of this bug. ***

Comment 125 Mars 2019-10-05 17:29:10 UTC
*** Bug 1758793 has been marked as a duplicate of this bug. ***

Comment 126 owrs 2019-10-13 07:49:55 UTC
*** Bug 1761184 has been marked as a duplicate of this bug. ***

Comment 127 Damian Kostyra 2019-10-13 10:02:40 UTC
*** Bug 1761192 has been marked as a duplicate of this bug. ***

Comment 128 Johan de Hondt 2019-10-14 06:05:36 UTC
*** Bug 1761317 has been marked as a duplicate of this bug. ***

Comment 129 martin.lepetit 2019-10-15 20:44:57 UTC
*** Bug 1762016 has been marked as a duplicate of this bug. ***

Comment 130 John Mellor 2019-11-02 14:53:08 UTC
Its a bit early yet, but this fault has not occurred since upgrading to F31.  That may mean that it is probably fixed by removing the X11 underpinnings.

Comment 131 Satya Prasad Popuri 2019-12-05 11:22:16 UTC
*** Bug 1780075 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.